## libguestfs 1.28.1

=== debian/changelog ===
libguestfs (1:1.28.1-1) unstable; urgency=medium

  * New upstream version
  * Updated watch file (development -> stable)

 -- Hilko Bengen <bengen@debian.org>  Sun, 19 Oct 2014 15:07:52 +0200

libguestfs (1:1.27.62-1) experimental; urgency=medium

  * New upstream development version
  * Moved build dependency from libsystemd-<specific>-dev to
    libsystemd-dev, removed build dependencies on specific libsystemd
    library packages. (Closes: #763710, #763741)
  * Moved package post-processing (appliance-splitting, appliance-specific
    dependencies) from debian/rules to external shell scripts
  * Added lintian override because sysvinit is no longer essential
  * Fixed FTBFS on architectures without zfs-fuse
  * Removed unused .install file

 -- Hilko Bengen <bengen@debian.org>  Sun, 12 Oct 2014 13:29:45 +0200

libguestfs (1:1.27.57-1) experimental; urgency=medium

  * New upstream development version

 -- Hilko Bengen <bengen@debian.org>  Thu, 02 Oct 2014 08:07:46 +0200

libguestfs (1:1.27.55-1) experimental; urgency=medium

  * New upstream development version

 -- Hilko Bengen <bengen@debian.org>  Sat, 27 Sep 2014 22:31:13 +0200

libguestfs (1:1.27.54-1) experimental; urgency=medium

  * New upstream development version
  * Dropped patch that has been integrated upstream
  * Updated symbols file; made guestfs_internal_* symbols (which are not
    considered part of the API) optional

 -- Hilko Bengen <bengen@debian.org>  Thu, 25 Sep 2014 21:11:41 +0200

libguestfs (1:1.27.49-1) experimental; urgency=medium

  * New upstream development version
  * Added systemd bits to appliance

 -- Hilko Bengen <bengen@debian.org>  Fri, 19 Sep 2014 18:16:24 +0200

libguestfs (1:1.27.46-1) experimental; urgency=medium

  * New upstream development version
  * Removed upstream patches

 -- Hilko Bengen <bengen@debian.org>  Mon, 15 Sep 2014 22:36:03 +0200

libguestfs (1:1.27.45-1) experimental; urgency=medium

  * New upstream development version
  * Added upstream patches that should fix FTBFS on architectures without
    native OCaml compiler

 -- Hilko Bengen <bengen@debian.org>  Sun, 14 Sep 2014 22:47:30 +0200

libguestfs (1:1.27.44-1) experimental; urgency=medium

  * New upstream development version
  * Added more architecture-specific dependencies for ppc64el
  * Added zfs-fuse dependency for armel

 -- Hilko Bengen <bengen@debian.org>  Sat, 13 Sep 2014 22:58:42 +0200

libguestfs (1:1.27.41-1) experimental; urgency=medium

  * New upstream development version

 -- Hilko Bengen <bengen@debian.org>  Tue, 09 Sep 2014 22:48:54 +0200

libguestfs (1:1.27.39-1) experimental; urgency=medium

  * New upstream development version
  * Added missing virt-p2v directory

 -- Hilko Bengen <bengen@debian.org>  Tue, 09 Sep 2014 17:49:06 +0200

libguestfs (1:1.27.35-1) experimental; urgency=medium

  * New upstream development version
  * Added virt-p2v
  * Updated symbols file
  * Picked patches from unstable branch
    - Removed dependency on legacy iproute package (Closes: #752017)
    - Don't attempt to run make quickcheck on all architectures.
      (Closes: #754615)
    - Fixed the code that extracts dependencies from
      .../guestfs/supermin.d/packages-* lists. This should also take care of
      the iproute legacy package. (Closes: #752017)
    - Don't hardcode /usr/lib/perl5 in libguestfs-perl.install
      (Closes: #755109)
    - Added patch that disables --dtb on armel
    - Fix module-init-tools build-dependency
    - Added architecture-specific dependencies for arm64, ppc64el
    - Added libc-bin to essential packages expression

 -- Hilko Bengen <bengen@debian.org>  Mon, 01 Sep 2014 18:25:38 +0200

libguestfs (1:1.27.14-1) experimental; urgency=medium

  * New upstream development version

 -- Hilko Bengen <bengen@debian.org>  Sat, 31 May 2014 12:59:23 +0200

libguestfs (1:1.27.13-1) experimental; urgency=medium

  * New upstream development version
  * Updated patch queue

 -- Hilko Bengen <bengen@debian.org>  Sun, 25 May 2014 11:10:30 +0200

libguestfs (1:1.27.12-1) experimental; urgency=medium

  * New upstream development version

 -- Hilko Bengen <bengen@debian.org>  Fri, 23 May 2014 19:23:11 +0200

libguestfs (1:1.27.11-1) experimental; urgency=medium

  * New upstream development version
  * On powerpc architecture, use qemu-system-ppc64 for -M pseries and
    linux-image-powerpc64
  * Split off specific dependencies from libguestfs0 (Closes: #648291,
    #681889, #736597, #742944)
  * Run "make quickcheck" only once
  * Rebased patch queue
  * Updated symbols file
  
 -- Hilko Bengen <bengen@debian.org>  Sat, 17 May 2014 21:29:58 +0200

libguestfs (1:1.27.6-1) experimental; urgency=medium

  * New upstream development version
  * Updated symbols file
  * Split off ZFS-specific dependencies from libguestfs  (Closes: #648291)
  * Added patch for building with qemu 2+

 -- Hilko Bengen <bengen@debian.org>  Tue, 22 Apr 2014 23:19:06 +0200
