## libguestfs 1.28.6

=== debian/changelog ===
libguestfs (1:1.28.6-1ubuntu1) vivid; urgency=medium

  * Merge with Debian; remaining changes:

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Mar 2015 12:47:17 +0100

libguestfs (1:1.28.6-1) unstable; urgency=medium

  * New upstream version
  * Updated symbols file

 -- Hilko Bengen <bengen@debian.org>  Tue, 10 Feb 2015 14:29:24 +0100

libguestfs (1:1.28.4-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Mon, 01 Dec 2014 08:14:22 +0100

libguestfs (1:1.28.3-1) unstable; urgency=medium

  * New upstream version
  * Dropped patch that has been integrated upstream

 -- Hilko Bengen <bengen@debian.org>  Sun, 16 Nov 2014 17:18:02 +0100

libguestfs (1:1.28.2-1) unstable; urgency=medium

  * New upstream version
  * Fixed guestfsd dependencies, stripped unnecessary build-dependencies
  * Bumped Standards-Version
  * Added patch for fixing build

 -- Hilko Bengen <bengen@debian.org>  Fri, 31 Oct 2014 19:34:41 +0100

libguestfs (1:1.26.7-1ubuntu7) vivid; urgency=medium

  * Revert the last change; not gccgo specific, but the bindings need
    an update for Go 1.4.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Mar 2015 17:32:49 +0100

libguestfs (1:1.26.7-1ubuntu6) vivid; urgency=medium

  * Build-depend on golang-go everwhere.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 13 Mar 2015 14:52:10 +0100

libguestfs (1:1.26.7-1ubuntu5) vivid; urgency=medium

  * Fix libsystemd0 dependency in appliance/packagelist.in too.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 27 Jan 2015 12:47:47 +0100

libguestfs (1:1.26.7-1ubuntu4) vivid; urgency=medium

  * Rebuild harder against libsystemd0.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 27 Jan 2015 08:33:56 +0100

libguestfs (1:1.26.7-1ubuntu3) vivid; urgency=medium

  * Rebuild against libsystemd0, and adjust build dependencies.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 26 Jan 2015 15:27:32 +0100
