=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libguestfs
 Section: libs
 Priority: extra
-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Richard Jones <rjones@redhat.com>, Guido Günther <agx@sigxcpu.org>, Hilko Bengen <bengen@debian.org>
 Build-Depends: debhelper (>= 9),
   dh-autoreconf,
@@ -10,15 +11,16 @@
   libreadline-dev, libaugeas-dev (>= 1.0.0), libselinux1-dev, libhivex-dev, libvirt-dev,
   liblzma-dev, libmagic-dev, libncurses5-dev, libpcre3-dev, libxml2-dev,
   libconfig-dev, libc-dev-bin,
-  systemtap-sdt-dev [amd64 armel armhf i386 powerpc],
+  systemtap-sdt-dev,
   libcap-dev, libacl1-dev, libyajl-dev,
   libsystemd-dev | libsystemd-journal-dev,
   automake, autoconf, libtool,
   gperf, libxml2-utils,
   qemu-system-arm [armel armhf],
+  qemu-system-aarch64 [arm64],
   qemu-system-mips [mips mipsel],
   qemu-system-misc [s390x],
-  qemu-system-ppc [powerpc ppc64el],
+  qemu-system-ppc [powerpc ppc64 ppc64el],
   qemu-system-sparc [sparc],
   qemu-system-x86 [i386 amd64],
   qemu-utils,
@@ -41,15 +43,9 @@
   flex, bison,
   golang-go [i386 amd64 armel armhf],
 # for appliance
-  linux-image-versatile [armel],
-  linux-image-armmp [armhf],
-  linux-image-arm64 [arm64],
-  linux-image-4kc-malta [mips mipsel] | linux-image-5kc-malta [mips mipsel],
-  linux-image-s390x [s390x],
-  linux-image-powerpc64 [powerpc],
-  linux-image-powerpc64le [ppc64el],
-  linux-image-sparc64 [sparc],
-  linux-image-amd64 [amd64], linux-image-486 [i386] | linux-image-686-pae [i386],
+  linux-image-generic [!powerpc !armhf],
+  linux-image-generic-lpae [armhf],
+  linux-image-powerpc64-smp [powerpc],
   acl,
   attr,
   binutils,
@@ -66,24 +62,17 @@
   genisoimage,
   gfs2-utils,
 # gfs-tools,
-  grub2 [i386 amd64 powerpc sparc],
+# grub2,
   hfsplus,
   iproute2 | iproute,
   jfsutils,
-  kmod,
+  kmod | module-init-tools,
   less,
-  libaugeas0,
-  libcap2,
-  libhivex0,
-  libpcre3,
-  libxml2,
-  libyajl2,
   lsof,
   lsscsi,
   lvm2,
   lzop,
   mdadm,
-  kmod | module-init-tools,
   mtools,
   nilfs-tools,
   ntfs-3g,
@@ -104,8 +93,9 @@
   xz-utils,
   zerofree,
   zfs-fuse [i386 amd64 armel powerpc sparc],
+  zfs-fuse [i386 amd64 armel armhf powerpc ppc64el sparc],
 Homepage: http://libguestfs.org
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://git.debian.org/git/pkg-libvirt/libguestfs.git
 Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/libguestfs.git
 XS-Ruby-Versions: all
@@ -117,13 +107,12 @@
   diffutils,
 # grub-pc,
   iproute2 | iproute,
-  libaugeas0,
   udev,
   binutils,
   cpio,
   dosfstools,
   file,
-  kmod,
+  kmod | module-init-tools,
   lsof,
   net-tools,
   parted,
@@ -159,9 +148,10 @@
 Depends: ${shlibs:Depends}, ${misc:Depends},
   supermin (>= 5),
   qemu-system-arm [armel armhf],
+  qemu-system-aarch64 [arm64],
   qemu-system-mips [mips mipsel],
   qemu-system-misc [s390x],
-  qemu-system-ppc [powerpc],
+  qemu-system-ppc [powerpc ppc64 ppc64el],
   qemu-system-sparc [sparc],
   qemu-system-x86 [i386 amd64],
   ${appliance:Depends},
@@ -391,3 +381,9 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, libguestfs0 (= ${binary:Version}),
  ${ocaml:Depends}
 Provides: ${ocaml:Provides}
+Description: guest disk image management system - OCaml bindings
+ The libguestfs library allows accessing and modifying guest disk
+ images.
+ .
+ This package includes the OCaml shared runtime stub libraries.
+
