=== debian/rules ===
--- 
+++ 
@@ -19,9 +19,11 @@
 		    | sed -r -e 's,i[456]86,i386,;s,sparc,sparc64,;s,powerpc(64.*)?,ppc64,;s,arm.*,arm,')
 
 # Do not run "make quickcheck on these architectures
-QUICKCHECK_ARCHITECTURES := i386 amd64
+# this requires a readable kernel image
+#QUICKCHECK_ARCHITECTURES := i386 amd64
 
 DEFAULT_CONFIG_FLAGS = \
+	--disable-silent-rules     \
 	--disable-gnulib-tests     \
 	--with-readline	           \
 	--disable-haskell          \
