## libguestfs 1.28.12

=== debian/changelog ===
libguestfs (1:1.28.12-1ubuntu2) wily; urgency=medium

  * No-change rebuild to add ruby2.2 support.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Sep 2015 16:35:23 +0000

libguestfs (1:1.28.12-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Build-depend on systemtap-sdt-dev on all architectures.
    - Add qemu build dependencies for arm64 and ppc64el.
    - switch to Ubuntu kernel meta-package names.
    - Drop build dependency on grub2, only needed for the quickchecks,
      which are disabled anyway.
    - Build depend on zfs-fuse on armhf and ppc64el as well.
    - Disable quickchecks. Requires a readable kernel image.
    - Configure with --disable-silent-rules.
  * Dropped changes, superseded upstream:
    - debian/rules: Adjust qemu arch hack to accomodate powerpc64le.
    - Don't build the libguestfs-gfs2 package. The gfs2-utils build
      dependency is not installable on the buildds.
    - Fix libsystemd0 dependency in appliance/packagelist.in too.
    - Rebuild against libsystemd0, and adjust build dependencies.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 25 Jul 2015 23:13:28 +0000

libguestfs (1:1.28.12-1) unstable; urgency=medium

  * New upstream version
  * Added isc-dhcp-client to Build-Dependencies so it gets included in the
    appliance (Closes: #775514)
  * Added a few more Build-Dependencies so they get included in the appliance

 -- Hilko Bengen <bengen@debian.org>  Tue, 21 Jul 2015 19:02:45 +0200

libguestfs (1:1.28.10-2) unstable; urgency=medium

  * Added Depends/Recommends (curl, gnupg) for virt-builder
  * Added linux-image-586 to Build-Dependencies as linux-image-486
    has been removed from unstable

 -- Hilko Bengen <bengen@debian.org>  Thu, 18 Jun 2015 23:47:32 +0200

libguestfs (1:1.28.10-1) unstable; urgency=medium

  * New upstream version
  * Fixed substvars generation script to insert extra newline

 -- Hilko Bengen <bengen@debian.org>  Fri, 08 May 2015 00:17:53 +0200

libguestfs (1:1.28.9-1) unstable; urgency=medium

  * New upstream version
  * Made golang patch more robust (Closes: #780590)
  * Added patch to virt-resize manpage (Closes: #751265)

 -- Hilko Bengen <bengen@debian.org>  Mon, 27 Apr 2015 08:25:16 +0200

libguestfs (1:1.28.7-1) unstable; urgency=medium

  * New upstream version
  * Updated Vcs-* fields
  * Rebased patch queue

 -- Hilko Bengen <bengen@debian.org>  Tue, 31 Mar 2015 07:41:52 +0200
