=== debian/control ===
--- 
+++ 
@@ -65,9 +65,14 @@
 # grub2,
   hfsplus,
   iproute2 | iproute,
+  iputils-arping,
+  iputils-ping,
+  iputils-tracepath,
+  isc-dhcp-client,
   jfsutils,
   kmod | module-init-tools,
   less,
+# libc-bin,
   lsof,
   lsscsi,
   lvm2,
@@ -96,8 +101,8 @@
   zfs-fuse [i386 amd64 armel armhf powerpc ppc64el sparc],
 Homepage: http://libguestfs.org
 Standards-Version: 3.9.6
-Vcs-Git: git://git.debian.org/git/pkg-libvirt/libguestfs.git
-Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/libguestfs.git
+Vcs-Git: git://anonscm.debian.org/pkg-libvirt/libguestfs.git
+Vcs-Browser: http://anonscm.debian.org/?p=pkg-libvirt/libguestfs.git
 XS-Ruby-Versions: all
 
 Package: guestfsd
@@ -311,7 +316,9 @@
 Depends: libguestfs0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
  libsys-virt-perl, libguestfs-perl (= ${binary:Version}),
  libwin-hivex-perl,
- libintl-perl, libstring-shellquote-perl
+ libintl-perl, libstring-shellquote-perl,
+ curl,
+Recommends: gnupg,
 Replaces: guestfish (<< 1:1.22.6-1~),
  guestmount (<< 1.24.2-1~),
  libguestfs0 (<< 1:1.18.2-1~),
@@ -382,8 +389,3 @@
  ${ocaml:Depends}
 Provides: ${ocaml:Provides}
 Description: guest disk image management system - OCaml bindings
- The libguestfs library allows accessing and modifying guest disk
- images.
- .
- This package includes the OCaml shared runtime stub libraries.
-
