## libguestfs 1.32.2

=== debian/changelog ===
libguestfs (1:1.32.2-4ubuntu2) xenial; urgency=medium

  * No-change rebuild for ruby2.3-only support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Mar 2016 21:14:50 +0000

libguestfs (1:1.32.2-4ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/control:
      + Build-Depends on systemtap-sdt-dev on all architectures.
      + Add qemu build dependencies for arm64 and ppc64el.
      + Switch to Ubuntu kernel meta-package names.
      + Disable Build-Depends on grub2, only needed for the quickchecks,
        which are disabled anyway.
      + Build-Depends on zfs-fuse on armhf and ppc64el as well.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Configure with --disable-silent-rules.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Mar 2016 17:02:43 +0100

libguestfs (1:1.32.2-4) unstable; urgency=medium

  * Call "rubyX.Y -S rake" instead of rakeX.Y which is missing in ruby2.3
    (Closes: #815764)

 -- Hilko Bengen <bengen@debian.org>  Wed, 24 Feb 2016 23:32:35 +0100

libguestfs (1:1.32.2-3ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/control:
      + Build-Depends on systemtap-sdt-dev on all architectures.
      + Add qemu build dependencies for arm64 and ppc64el.
      + Switch to Ubuntu kernel meta-package names.
      + Disable Build-Depends on grub2, only needed for the quickchecks,
        which are disabled anyway.
      + Build-Depends on zfs-fuse on armhf and ppc64el as well.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Configure with --disable-silent-rules.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Feb 2016 08:32:27 +0100

libguestfs (1:1.32.2-3) unstable; urgency=medium

  * Add patch to fix Lintian error "gzip-file-is-not-multi-arch-same-safe"

 -- Hilko Bengen <bengen@debian.org>  Tue, 09 Feb 2016 23:25:04 +0100

libguestfs (1:1.32.2-2) unstable; urgency=medium

  * Work around cryptsetup's missing busybox dependency

 -- Hilko Bengen <bengen@debian.org>  Tue, 02 Feb 2016 00:27:09 +0100

libguestfs (1:1.32.2-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Sat, 30 Jan 2016 13:37:22 +0100

libguestfs (1:1.32.1-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Mon, 18 Jan 2016 08:50:15 +0100

libguestfs (1:1.32.0-2) unstable; urgency=medium

  * Add missing build-dependency for Perl bindings

 -- Hilko Bengen <bengen@debian.org>  Sun, 10 Jan 2016 13:22:58 +0100

libguestfs (1:1.32.0-1) unstable; urgency=medium

  * New upstream version
  * Adapt patch for building Perl bindings in separate build directory
  * Update symbols file
  * Adjust architecture list for some dependencies (Closes: #799965)
  * Add lintian overrides for several test files

 -- Hilko Bengen <bengen@debian.org>  Sun, 10 Jan 2016 03:18:00 +0100

libguestfs (1:1.30.6-1ubuntu2) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 13:33:56 +0000

libguestfs (1:1.30.6-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Build-Depends on systemtap-sdt-dev on all architectures.
      + Add qemu build dependencies for arm64 and ppc64el.
      + Switch to Ubuntu kernel meta-package names.
      + Disable Build-Depends on grub2, only needed for the quickchecks,
        which are disabled anyway.
      + Build-Depends on zfs-fuse on armhf and ppc64el as well.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Configure with --disable-silent-rules.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 26 Dec 2015 00:14:27 +0100

libguestfs (1:1.30.6-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Thu, 17 Dec 2015 00:02:45 +0100

libguestfs (1:1.30.4-1) unstable; urgency=medium

  * New upstream version
  * Point debian/watch to stable branch
  * Merge control, symbols from 1.28 series
  * Rebase patches
  * Remove direct multiarch-support pre-dependency

 -- Hilko Bengen <bengen@debian.org>  Tue, 08 Dec 2015 13:33:23 +0100

libguestfs (1:1.29.50-1) experimental; urgency=medium

  * New upstream development version

 -- Hilko Bengen <bengen@debian.org>  Tue, 21 Jul 2015 15:48:05 +0200

libguestfs (1:1.29.47-1) experimental; urgency=medium

  * New upstream development version
  * Added linux-image-586 to Build-Dependencies as linux-image-486 has
    been removed from unstable

 -- Hilko Bengen <bengen@debian.org>  Thu, 18 Jun 2015 23:07:32 +0200

libguestfs (1:1.29.46-1) experimental; urgency=medium

  * New upstream development version

 -- Hilko Bengen <bengen@debian.org>  Mon, 08 Jun 2015 07:25:02 +0200

libguestfs (1:1.29.44-1) experimental; urgency=medium

  * New upstream development version
  * Added Depends/Recommends (curl, gnupg) for virt-builder

 -- Hilko Bengen <bengen@debian.org>  Wed, 03 Jun 2015 20:03:18 +0200

libguestfs (1:1.29.43-1) experimental; urgency=medium

  * New upstream development version

 -- Hilko Bengen <bengen@debian.org>  Sat, 16 May 2015 13:20:32 +0200

libguestfs (1:1.29.42-1) experimental; urgency=medium

  * New upstream development version

 -- Hilko Bengen <bengen@debian.org>  Fri, 15 May 2015 08:15:25 +0200

libguestfs (1:1.29.40-1) experimental; urgency=medium

  * New upstream development version

 -- Hilko Bengen <bengen@debian.org>  Thu, 07 May 2015 08:38:14 +0200

libguestfs (1:1.29.39-1) experimental; urgency=medium

  * New upstream development version
  * Fixed substvars generation script to insert extra newline

 -- Hilko Bengen <bengen@debian.org>  Sun, 03 May 2015 22:40:25 +0200

libguestfs (1:1.29.38-1) experimental; urgency=medium

  * New upstream development version

 -- Hilko Bengen <bengen@debian.org>  Tue, 28 Apr 2015 21:54:16 +0200

libguestfs (1:1.29.37-1) experimental; urgency=medium


