=== debian/control ===
--- 
+++ 
@@ -9,18 +9,18 @@
   po-debconf, bash-completion,
   supermin (>= 5),
   libreadline-dev, libaugeas-dev (>= 1.0.0), libselinux1-dev, libhivex-dev, libvirt-dev,
-  liblzma-dev, libmagic-dev, libncurses5-dev, libpcre3-dev, libxml2-dev,
+  liblzma-dev, libmagic-dev, libncurses5-dev, libncursesw5-dev, libpcre3-dev, libxml2-dev,
   libconfig-dev, libc-dev-bin,
   systemtap-sdt-dev,
   libcap-dev, libacl1-dev, libyajl-dev,
   libsystemd-dev | libsystemd-journal-dev,
   automake, autoconf, libtool,
   gperf, libxml2-utils,
-  qemu-system-arm [armel armhf],
-  qemu-system-aarch64 [arm64],
-  qemu-system-mips [mips mipsel],
+  qemu-system-arm [armel armhf arm64],
+  qemu-system-mips [mips mipsel mips64 mips64el],
   qemu-system-misc [s390x],
   qemu-system-ppc [powerpc ppc64 ppc64el],
+  qemu-system-aarch64 [arm64],
   qemu-system-sparc [sparc],
   qemu-system-x86 [i386 amd64],
   qemu-utils,
@@ -31,6 +31,7 @@
   python (>= 2.6.6-3~), python-all-dev (>= 2.6.6-3~), python3-all-dev,
   default-jdk,
   gem2deb, rake, libjs-jquery,
+  libmodule-build-perl,
   libtest-pod-coverage-perl, libextutils-command-perl, libintl-perl, libtest-pod-perl,
   libstring-shellquote-perl,
   libsys-virt-perl, libwin-hivex-perl,
@@ -41,7 +42,7 @@
   po4a,
   curl,
   flex, bison,
-  golang-go [i386 amd64 armel armhf],
+  golang-go [i386 amd64 armel armhf arm64 ppc64el],
 # for appliance
   linux-image-generic [!powerpc !armhf],
   linux-image-generic-lpae [armhf],
@@ -53,7 +54,7 @@
   btrfs-tools,
   bzip2,
   cpio,
-  cryptsetup,
+  cryptsetup, busybox,
   dosfstools,
   extlinux [i386 amd64],
   file,
@@ -97,7 +98,6 @@
   xfsprogs,
   xz-utils,
   zerofree,
-  zfs-fuse [i386 amd64 armel powerpc sparc],
   zfs-fuse [i386 amd64 armel armhf powerpc ppc64el sparc],
 Homepage: http://libguestfs.org
 Standards-Version: 3.9.6
@@ -152,11 +152,11 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
   supermin (>= 5),
-  qemu-system-arm [armel armhf],
+  qemu-system-arm [armel armhf arm64],
+  qemu-system-mips [mips mipsel mips64 mips64el],
+  qemu-system-misc [s390x],
   qemu-system-aarch64 [arm64],
-  qemu-system-mips [mips mipsel],
-  qemu-system-misc [s390x],
-  qemu-system-ppc [powerpc ppc64 ppc64el],
+  qemu-system-ppc [powerpc pc64 ppc64el],
   qemu-system-sparc [sparc],
   qemu-system-x86 [i386 amd64],
   ${appliance:Depends},
@@ -388,4 +388,3 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, libguestfs0 (= ${binary:Version}),
  ${ocaml:Depends}
 Provides: ${ocaml:Provides}
-Description: guest disk image management system - OCaml bindings
